<?php
/**
* メーカー一覧取得タスク
*
* PHP version 5
*
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
class ManufacturerListTask extends DatabaseTask implements ITask
{
	public $manufacturer_list;

	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event, TaskSnapshot $snapshot )
	{

		// メーカー一覧を検索
		$this->manufacturer_list = $this->findAll( s('manufacturer'), NULL, s('DB_TO_HTML') );

		return b(TRUE);
	}

}
